class genericDefaults(KellerNukePlugin):

    def configurePlugin(self):
                
        ############################################################################################################################################
        # DEFAULTS
        #
        # NON PROJECT SPECIFIC DEFAULTS GO HERE
        ############################################################################################################################################

        # Exposure
        nuke.knobDefault("EXPTool.mode", "0")

        # read nodes
        nuke.knobDefault("Read.premultiplied", "true")

        # Write
        nuke.knobDefault("Write.channels", "rgba")
        nuke.knobDefault("Write.dpx.channels", "rgb")
        nuke.knobDefault("Write.create_directories", "1")
        nuke.knobDefault("Write.exr.noprefix", "1")
        nuke.knobDefault("Write.exr.metadata", "all metadata")

        # 'createWriteDir.createWriteDir()' is called from the createWriteDir Plugin

    def unconfigurePlugin(self):
        pass